## net-snmp 5.1.2

=== dist/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # ======================================================================
 # $Source: /cvsroot/net-snmp/net-snmp/dist/Makefile,v $
-# $Revision: 1.5.2.2 $
-# $Date: 2004/03/20 07:00:47 $
-# $Author: hardaker $
-# $Name: Ext-5-1-1 $
+# $Revision: 1.5.2.3 $
+# $Date: 2004/08/07 08:03:44 $
+# $Author: rstory $
+# $Name: Ext-5-1-2 $
 # $State: Exp $
 # ======================================================================
