## net-snmp 5.4.3~dfsg

=== debian/changelog ===
net-snmp (5.4.3~dfsg-2.8+deb7u1) stable-proposed-updates; urgency=medium

  * debian/patches
    - add bug#721224_entries_over50.patch to fix "snmpd: produces error if the
      Executables/scripts entries in snmpd.conf is over 50" taken patch from
      Red Hat Bugzilla.
      Thanks to "Christian Ruppert" <c.ruppert@babiel.com> for the report
      (Closes: #721224) 
    - add TrapReceiver.patch to fix CVE-2014-2285
    - add CVE-2014-3565.patch taken from upstream to fix CVE-2014-3565
      (Closes: #760132)
    - add CVE-2012-6151.patch taken from Fedora to fix CVE-2012-6151

 -- Hideki Yamane <henrich@debian.org>  Tue, 16 Sep 2014 00:27:07 +0900

net-snmp (5.4.3~dfsg-2.8) stable; urgency=medium

  * Non-maintainer upload.
  * Fix agentx subagent issues with multiple-object requests and increasing
    object length (CVE-2014-2310) (Closes: #684388)

 -- Simon Paillard <spaillard@debian.org>  Mon, 17 Mar 2014 20:56:52 +0100

net-snmp (5.4.3~dfsg-2.7) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/27_kfreebsd_bug625985.patch: New patch, fix build error on
    kfreebsd-*, by Steven Chamberlain (closes: #625985).

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Nov 2012 13:30:51 +0100

net-snmp (5.4.3~dfsg-2.6) unstable; urgency=low

  * Non-maintainer upload.
  * debian/libsnmp-perl.postinst: Fix directory to symlink upgrade in
    postinst (closes: #692949)

 -- David Prévot <taffit@debian.org>  Sun, 18 Nov 2012 09:24:30 -0400

net-snmp (5.4.3~dfsg-2.5) unstable; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2012-2141 by using Ubuntu's patch (Closes: #672492).
  * Do not ship *.la files (Closes: #633166).
  * Enable hardened build flags and fix missing format strings 
    (Closes: #657519).
  * Source debconf before doing work in postinst (Closes: #626312).
  * Fix check for existing snmp group in postinst (Closes: #609430).
  * Use *-any architecture qualifiers (Closes: #634735).
  * Add Indonesian debconf translation (Closes: #654166).
  * Add Polish debconf translation (Closes: #661252).

 -- Luk Claes <luk@debian.org>  Sun, 27 May 2012 17:22:01 +0200

net-snmp (5.4.3~dfsg-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Trivial lintian fix: don't use braces in libsnmp-dev.install
  * Fix pending l10n issues. Debconf translations:
    - Korean (si-cheol KO).  Closes: #630948
    - Slovak (Slavko).  Closes: #634988
    - Serbian (Zlatan Todoric).  Closes: #635066
    - Serbian Latin (Zlatan Todoric).  Closes: #635067
    - Catalan; (Innocent De Marchi).  Closes: #641829

 -- Christian Perrier <bubulle@debian.org>  Mon, 19 Dec 2011 07:34:31 +0100

net-snmp (5.4.3~dfsg-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix for init script status command when trapd is not running.  Thanks to
    Steve Camfield <steve.camfield@scamfield.co.uk> for the patch
    (closes: #610306)

 -- Stephen Gran <sgran@debian.org>  Sat, 27 Aug 2011 09:10:09 +0000

net-snmp (5.4.3~dfsg-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd-* by updating 44_nlist_kvm.patch to detect nlist
    (in libbsd), thanks to Jakub Wilk (Closes: #625985).
  * Add build-dependency on libbsd-dev on kfreebsd-* accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 09 May 2011 11:12:31 +0200

net-snmp (5.4.3~dfsg-2.1) unstable; urgency=high

  [ Julien Cristau ]
  * Non-maintainer upload to fix FTBFS (closes: #625730).
  * Don't hardcode SHELL to /bin/sh in Makefile.top, libtool wants bash
    (closes: #617212).
  * Add missing libraries to link commands to make newer gcc happy (closes:
    #555767, #615756).

  [ Cyril Brulebois ]
  * Do the 3.0 (quilt) dance to get Julien's patches applied.
  * Add some bug closures.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 07 May 2011 12:14:26 +0200

net-snmp (5.4.3~dfsg-2) unstable; urgency=high

  * Add libperl-dev to libsnmp-dev dependencies (Closes: #608794)
  * Add missing include to 61_vacm_missing_dependency_check.patch
    (Closes: #602809)
  * High urgency due to RC bug fixes

 -- Jochen Friedrich <jochen@scram.de>  Wed, 05 Jan 2011 13:03:32 +0100

net-snmp (5.4.3~dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #559109)
    - includes fix for CVE-2008-4309
    - includes fix for CVE-2008-6123 (Closes: #516801)
    - AgentX support listens on localhost (only) by default
    - support for monitoring large disks (>2Tb)
    - improved handling of multiple matching access control entries
  * Remove patches included upstream:
    - 31_silence_subcontainer.patch
    - 57_fix_ipv6_memleak.patch
    - 59_fix_python.patch
  * Update patches:
    - 03_makefiles.patch
    - 07_docfiles.patch
    - 08_defaultconfig.patch
    - 32_mnttab_path.patch
    - 56_manpage.patch (Closes: #582400)
    - 60_libsensors_api.patch (Closes: #575810)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards version to 3.8.4
  * Moved snmp.conf from snmp to libsnmp15
  * Don't bind to 172.0.0.1 in snmpd.default anymore. This is now
    done in the upstream sample snmpd.conf file. Trying to bind to
    127.0.0.1 in both places will make snmpd fail to start, at all.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 10 Jun 2010 18:02:54 +0200

net-snmp (5.4.2.1~dfsg-5) unstable; urgency=low

  * Add conditional depends back that were lost in the build system
    change (Closes: #560408)
  * Install all provided NET-SNMP MIBs.
  * Install snmp.conf with empty MIB list so snmp tools work without
    complaining about missing MIBs. (Closes: #559200)
  * Add /usr/share/mibs/site and /usr/share/snmp/mibs to MIB search path
    (Closes: #560371)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 15 Dec 2009 14:59:44 +0100

net-snmp (5.4.2.1~dfsg-4) unstable; urgency=low

  * Update 26_kfreebsd.patch with patch from Petr Salinger
    <Petr.Salinger@seznam.cz> (Closes: #557244).
  * Applied patch from Jakub Wilk <ubanus@users.sf.net> to make the

