## net-snmp 5.7.2~dfsg

=== dist/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # ======================================================================
-# $Source: /cvsroot/net-snmp/net-snmp/dist/Makefile,v $
-# $Revision: 1.8.2.8 $
-# $Date: 2005/11/29 05:34:05 $
-# $Author: hardaker $
-# $Name: Ext-5-2-2 $
-# $State: Exp $
+# $Source$
+# $Revision$
+# $Date$
+# $Author$
+# $Name$
+# $State$
 # ======================================================================
 
 # Makefile for generating rpm package files (.rpm) for net-snmp.
@@ -18,16 +18,16 @@
 # Define the RPM package name
 NAME = net-snmp
 
-# Define the default RPM release number. Set by VersionMunge.pl
-VERSION = 5.2.2
+# Define the default RPM release number. Set by Version-Munge.pl
+VERSION = 5.7.2
 
 VERSION_TAG=`echo Ext-$(VERSION) | sed 's/\./-/g;'`
 
 WITH_PERL=1
-EMBED_PERL=0
+EMBED_PERL=1
 
-# Define the RPM architecture, i.e., 'noarch', 'i386', 'i686', etc.
-ARCH = `uname -m`
+# Define the RPM architecture, i.e., 'ppc', 'i386', etc.
+ARCH = `uname -i`
 
 # Directory structure expected by 'rpm' program
 RPM_BASE := $(PWD)/rpm
@@ -52,7 +52,7 @@
 # 'rpm' expects a compressed archive (.tar.gz) of the source directory
 # to exist (in the rpm/SOURCES directory) before it is run.
 # --------------------------------------------------------------------
-CVSROOT = :pserver:anonymous@cvs.net-snmp.sourceforge.net:/cvsroot/net-snmp
+CVSROOT = :pserver:anonymous@net-snmp.cvs.sourceforge.net:/cvsroot/net-snmp
 
 PKG_VER := $(NAME)-$(VERSION)
 
@@ -83,15 +83,15 @@
 # stripping of binaries, but still retain the compression of
 # manual pages.
 #
-ifeq ($(WITH_PERL),1)
-PERLOPTS = --with perl_modules
+ifeq ($(WITH_PERL),0)
+PERLOPTS = --without perl_modules
 endif
-ifeq ($(EMBED_PERL),1)
-PERLOPTS += --with embedded_perl
+ifeq ($(EMBED_PERL),0)
+PERLOPTS += --without embedded_perl
 endif
 
 RPM_OPTS := \
-    --define='_topdir $(PWD)/rpm' \
+    --define='_topdir $(RPM_BASE)' \
     --define='_includedir /usr/include/net-snmp' \
     --target $(ARCH) $(PERLOPTS)
