=== debian/changelog ===
net-snmp (5.7.2~dfsg-8ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1200516).  Remaining changes:
    + Add apport hook (LP: #533603):
      - debian/source.apport: apport hook
      - debian/control: Build-depends on dh-apport.
      - debian/rules:
        + Add --with apport.
        + override_dh_apport to install hook on snmpd package only.
  * Call dh_installinit correctly to avoid installing links in rc[06].d

 -- Yolanda Robla <yolanda.robla@canonical.com>  Fri, 12 Jul 2013 09:47:12 +0200

net-snmp (5.7.2~dfsg-8) unstable; urgency=low

  * add libsnmp-perl.preinst to deal with empty directory by libsnmp15
    package removal (Closes: #709761) 
  * {snmp,snmpd}.postinst: deal with "copyright file missing after upgrade
    (policy 12.5)" (Closes: #709087)

 -- Hideki Yamane <henrich@debian.org>  Thu, 06 Jun 2013 08:49:02 +0900

net-snmp (5.7.2~dfsg-7) unstable; urgency=low

  * debian/control
    - libsnmp-base: update to more policy polite (Breaks/Replaces: libsnmp15
      (<<5.7.2~dfsg-5)), thanks to James McCoy
  * debian/snmp.preinst
    - fix incomplete script.

 -- Hideki Yamane <henrich@debian.org>  Mon, 20 May 2013 14:19:36 +0900

net-snmp (5.7.2~dfsg-6) unstable; urgency=low

  * debian/rules
    - Fix Hurd build issue, thanks Pino Toscano <pino@debian.org> for
      the patch (Closes: #708951)
  * debian/snmpd.init
    - patch from Ubuntu, LSBified
  * debian/snmp.pre{inst,rm}
    - patch from Ubuntu, Kill any/all processes owned by snmp user before
      install/uninstall.
  * debian/control
    - add "Conflicts: libsnmp15" to libsnmp-base since moving net-snmp-config
      in previous version cause trouble (Closes: #708983)

 -- Hideki Yamane <henrich@debian.org>  Mon, 20 May 2013 08:49:14 +0900

net-snmp (5.7.2~dfsg-5) unstable; urgency=low

  * debian/control
    - fix typo and improve description, thanks to Martin Eberhard Schauer
      <Martin.E.Schauer@gmx.de> for the patch (Closes: #708519)
    - libsnmp-base: add "Conflicts: libsnmp30 (<< 5.7.2~dfsg-5)" since
      net-snmp-config file moves from libsnmp30 to libsnmp-base
      (Closes: #708298)
    - update descriptions
  * debian/{libsnmp-base,libsnmp30}.install: update

 -- Hideki Yamane <henrich@debian.org>  Sun, 19 May 2013 23:09:52 +0900

net-snmp (5.7.2~dfsg-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Don't stop service in runlevels 0 and 6.
    - debian/snmpd.init: LSBify the init script.
    - debian/snmp.preinst, debian/snmp.prerm: Kill any/all processes owned
      by snmp user before install/uninstall.
    - Add apport hook.
  * debian/patches/ubuntu-fix-lp-587828.patch: Drop. Fixed upstream.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 16 May 2013 21:01:27 -0400

net-snmp (5.7.2~dfsg-4) unstable; urgency=low

  * debian/snmpd.{init,default,postinst}
    - silly bug related to handle /var/run/agentx directory 
      (Closes: #708335, #708328) Thanks to Hilmar Preuße <hille42@web.de> and
      Vincent Bernat <bernat@debian.org> for reporting

 -- Hideki Yamane <henrich@debian.org>  Wed, 15 May 2013 22:21:39 +0900

net-snmp (5.7.2~dfsg-3) unstable; urgency=low

  * Upload to unstable
  * debian/control 
    - specify version for "Breaks: libsnmp15"

 -- Hideki Yamane <henrich@debian.org>  Thu, 09 May 2013 20:38:28 +0900

net-snmp (5.7.2~dfsg-2) experimental; urgency=low

  * debian/snmpd.{postinst,postrm}
    - avoid failure with /var/run/agentx 
  * debian/control
    - add "Breaks: libsnmp15" to snmp since snmp.conf moves from it.

 -- Hideki Yamane <henrich@debian.org>  Fri, 26 Apr 2013 16:02:01 +0900

net-snmp (5.7.2~dfsg-1) experimental; urgency=low

  * debian/control
    - add myself to Uploaders. Thanks, Jochen.
  * debian/snmpd.{dirs,init,postinst}
    - ensure /var/run/agentx exists since maybe /var/run would be tmpfs, so
      would disappear with reboot. Thanks to lintian.
  * debian/patches
    - add fix_manpage-has-errors_break_line.patch

 -- Hideki Yamane <henrich@debian.org>  Fri, 26 Apr 2013 07:47:09 +0900

net-snmp (5.7.2~dfsg-1~0.2) experimental; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - don't specify installdocs -plibsnmp-perl twice.
    - add dh_python2 to avoid missing dependency (Closes: #704864)
  * debian/control
    - set XS-Python-Version: 2.7 to avoid that dh_python2 would fail

 -- Hideki Yamane <henrich@debian.org>  Tue, 09 Apr 2013 10:42:56 +0900

net-snmp (5.7.2~dfsg-1~0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream version 5.7.2 (Closes: #557348, #631063, #684388, #599929,
    #673197, #581185, #558356, #568550, #514842, #445608, #557186, #411858,
    #428824, #611837, #495060, #527231, #583391, #572414, #668545, #344979,
    #397573)
  * debian/control
    - set "Standards-Version: 3.9.4"
    - set "Build-Depends: debhelper (>= 9)" to enable hardening
    - set "Build-Depends: automake", instead of automake1.9
    - drop "Build-Depends: python-central", use dh_python2 by default, instead
    - remove duplicational "Priority:" and "Section:" fields
    - make it "Multi-Arch" enable
    - add description for non-free snmp-mibs-downloader for users' convinience
      (Closes: #561124)
    - add "Build-Depends: libmysqld-dev" to support MySQL
    - add "Build-Depends: dh-autoreconf"
    - use python-all (2.6.6-3~) instead of python-all-dev (>= 2.5.4-1~), python
      (>=2.3.5-7) for Build-Depends
    - add "Build-Depends: python2.7-dev"
    - s/libsnmp-python/python-netsnmp/ as Python Policy compliant
      (Closes: #661899)
    - Add libsnmp-base to snmp and snmpd's Depends and remove it from
      libsnmp30, also remove "Depends: libsnmp-perl (=${binary:Version})" from
      libsnmp-dev to adjust dependencies in Multi-Arch compliant.
    - simplify libsnmp-perl's Depends to avoid piuparts error
    - remove "Conflicts: libsnmp-dev" from libsnmp-dev
    - point to git://anonscm.debian.org/pkg-net-snmp/pkg-net-snmp.git for
      Vcs-* fields

