## net-snmp 5.7.2%7edfsg

=== debian/changelog ===
net-snmp (5.7.2~dfsg-8.1ubuntu3.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via crafted SNMP trap message
    - debian/patches/CVE-2014-3565.patch: handle variables with wrong types
      in snmplib/mib.c.
    - CVE-2014-3565
  * SECURITY UPDATE: denial of service and possible code execution via
    incompletely parsed varBind variables
    - debian/patches/CVE-2015-5621.patch: don't return incorrectly parsed
      varbinds in snmplib/snmp_api.c.
    - CVE-2015-5621

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Aug 2015 10:27:24 -0400

net-snmp (5.7.2~dfsg-8.1ubuntu3) trusty; urgency=medium

  * SECURITY UPDATE: denial of service via AgentX subagent timeout
    - debian/patches/CVE-2012-6151.patch: track cancelled sessions in
      agent/mibgroup/agentx/{master.c,master_admin.c}, agent/snmp_agent.c,
      include/net-snmp/agent/snmp_agent.h.
    - CVE-2012-6151
  * SECURITY UPDATE: denial of service when ICMP-MIB is in use
    - debian/patches/CVE-2014-2284.patch: fix ICMP mib table handling in
      agent/mibgroup/mibII/icmp.c, agent/mibgroup/mibII/kernel_linux.*.
    - CVE-2014-2284
  * SECURITY UPDATE: denial of service in perl trap handler
    - debian/patches/CVE-2014-2285.patch: handle empty community string in
      perl/TrapReceiver/TrapReceiver.xs.
    - CVE-2014-2285

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Apr 2014 08:17:14 -0400

net-snmp (5.7.2~dfsg-8.1ubuntu2) trusty; urgency=medium

  * Add 00upstream-btrfs.patch: Add btrfs support to hrFSTable. Cherrypicked
    from upstream, by way of Nafallo Bjälevik. Thanks! (LP: #1289503)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Mar 2014 13:24:18 +0100

net-snmp (5.7.2~dfsg-8.1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add apport hook.
    - Avoid installing links in rc[06].d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 06:29:46 -0700

net-snmp (5.7.2~dfsg-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move net-snmp-config to libsnmp-dev package (Closes: #716805)
  * Mark libsnmp-base as Multi-Arch: foreign and drop Multi-Arch: same for
    libsnmp-dev package (Closes: #708302)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 13 Jul 2013 17:13:09 +0200

net-snmp (5.7.2~dfsg-8ubuntu2) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 12:30:05 +0100
