## net-snmp 5.7.2.1~dfsg

=== debian/changelog ===
net-snmp (5.7.2.1~dfsg-7) unstable; urgency=medium

  * debian/patches
    - add CVE-2014-3565.patch taken from upstream to fix CVE-2014-3565
      (Closes: #760132)

 -- Hideki Yamane <henrich@debian.org>  Wed, 17 Sep 2014 15:56:45 +0900

net-snmp (5.7.2.1~dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    Make debian/libsnmp-perl.install executable and use $Config{vendorarch} to
    get the perl library directory. Patch from Niko Tyni.
    (Closes: #751918)
  * Fix "FTBFS on kfreebsd-amd64 - 'struct kinfo_proc' has no member
    named 'kp_eproc'":
    Add patch from Niko Tyni which fixes a DEFINE that changed between
    kfreebsd-kernel-headers 9 and 10.
    (Closes: #753144)
  * Fix "snmpd: Memory leak when SNMP GET request id is zero":
    add patch from upstream bug, prepared by Roland Stigge.
    (Closes: #746225)

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Jul 2014 14:48:18 +0200

net-snmp (5.7.2.1~dfsg-6) unstable; urgency=medium

  * debian/{snmpd.conf,patches/add_rocommunity6.patch}
    - fix typo, thanks to Uwe Storbeck <uwe@ibr.ch> for the report
      (Closes: #746399)
  * debian/control
    - libsnmp-dev: add "Depends: libpci-dev" (Closes: #744023)

 -- Hideki Yamane <henrich@debian.org>  Sun, 04 May 2014 10:55:05 +0900

net-snmp (5.7.2.1~dfsg-5) unstable; urgency=high

  * debian/patches
    - add ifmib.patch taken from upstream to work on systems without a PCI bus
      Thanks to Chris Boot <debian@bootc.net> and Sergey Dorofeev
      <sergey@fidoman.ru> for the report (Closes: #745919, #745956)

 -- Hideki Yamane <henrich@debian.org>  Sun, 27 Apr 2014 17:05:08 +0900

net-snmp (5.7.2.1~dfsg-4) unstable; urgency=medium

  * debian/*.init
    - fix incorrect sequence of options passed to start-stop-daemon
      Thanks to Mehul Sanghvi <mehul.sanghvi@gmail.com> (Closes: #745828)

 -- Hideki Yamane <henrich@debian.org>  Sat, 26 Apr 2014 14:19:55 +0900

net-snmp (5.7.2.1~dfsg-3) unstable; urgency=medium

  * Upload to unstable
  * debian/snmptrapd.init
    - fix "--force-reload" option (Closes: #525028)

 -- Hideki Yamane <henrich@debian.org>  Thu, 10 Apr 2014 00:08:03 +0900

net-snmp (5.7.2.1~dfsg-2) experimental; urgency=medium

  * fix broken debian/snmpd.postinst
  * debian/control
    - fix dependency for snmptrapd since '/usr/bin/traptoemail' is also in
      snmp (<< 5.7.2.1~dfsg-1)

 -- Hideki Yamane <henrich@debian.org>  Tue, 01 Apr 2014 23:15:15 +0900

net-snmp (5.7.2.1~dfsg-1) experimental; urgency=medium

  * New upstream release
    - fix DoS on ICMP-MIB as CVE-2014-2284 (Closes: #742817)
  * Ack NMU (Closes: #717419)
  * debian/patches
    - add add_rocommunity6.patch to fix snmpwalk using ipv6 (Closes: #717179)
    - add fix_manpage-has-errors-from-man.patch
    - add agentx-crash.patch, taken from Fedora package. It fixes CVE-2012-6151
      (Closes: #731625)
    - add TrapReceiver.patch to fix CVE-2014-2285
  * debian/control
    - set Standards-Version: 3.9.5
    - add "Build-Depends: libpci-dev" to enable libpci function that was
      introduced in 5.7 (Closes: #741504)
    - split snmptrapd from snmpd to allow to install only snmpd on systems that
      will never issue traps (Closes: #314902)
      + Also it separates mysql dependency (Closes: #715486)
  * debian/libsnmp-dev.install
    - add missing net-snmp-create-v3-user (Closes: #726158, #718988)
  * debian/upstream/signing-key.asc
    - check upstream PGP key
  * debian/rules
    - add etherlike-mib/dot3StatsTable (Closes: #729732, LP#1251847)
  * debian/snmpd.init
    - relax start-stop-daemons avoid restart daemon before it terminates.
      Thanks to Saj Goonatilleke <saj.goonatilleke@anchor.net.au> for the
      patch (Closes: #640456)
    - fix "init.d-script-does-not-source-init-functions" lintian warning
  * debian/snmptrapd.init
    - split it from snmpd.init (Closes: #724288)
  * debian/snmpd.postinst
    - fix weird user creation (Closes: #482041, #589040, #606784, #610630)
  * debian/snmpd.postrm
    - remove unnecessary old /var/agentx/master directory with purge
      (Closes: #728546)
  * debian/snmp.install
    - move traptoemail to snmptrapd.install releated to above changes
  * debian/{snmpd,snmptrapd}.default
    - fix pid diretory (Closes: #611668)
  * debian/README.Debian
    - note snmpconf is in snmp package (Closes: #577649)

 -- Hideki Yamane <henrich@debian.org>  Sun, 30 Mar 2014 19:58:39 +0900
